# Functor Comparable.Poly

    module Poly: functor (T : sig
    type t

    val t_of_sexp : Sexplib.Sexp.t -> t
    val sexp_of_t : t -> Sexplib.Sexp.tend) -> S  with type t := T.t

Parameters:

`T` | : | `sig type t with sexp end`

    include Comparable_intf.S_common

    module Map: Core_map.S
        with type Key.t = t
        with type Key.comparator_witness = comparator_witness

    module Set: Core_set.S
        with type Elt.t = t
        with type Elt.comparator_witness = comparator_witness